import serial
from time import sleep  # import function sleep for delay

# create and open a serial port

sp = serial.Serial('/dev/ttyUSB0', 9600)

#initially turning off power to all servos
sp.write("#0 P0\r".encode())   # removes power from servo
sp.write("#1 P0\r".encode())   # removes power from servo
sp.write("#2 P0\r".encode())   # removes power from servo
sp.write("#3 P0\r".encode())   # removes power from servo
sp.write("#4 P0\r".encode())   # removes power from servo
sp.write("#6 P0\r".encode())   # removes power from servo
sp.write("#7 P0\r".encode())   # removes power from servo
sp.write("#8 P0\r".encode())   # removes power from servo
sp.write("#9 P0\r".encode())   # removes power from servo
sp.write("#10 P0\r".encode())   # removes power from servo

while True:
    num = int(input("Enter the servo number>>"))
    pos = int(input("Enter position of servo>>"))
    print(num, pos)
    sp.write(("#" + str(num) + "P" + str(pos) + "S200" + "\r").encode())
    while True:
        if input(num) == 0000:
            print("Left arm docking")
            sp.write("#4 P1000S200\r".encode())  # opens hand to dock
            # sleep(1)
            sp.write("#3 P1600S200\r".encode())  # moves wrist to dock
            # sleep(1)
            sp.write("#1 P1800S200\r".encode())  # moves elbow to dock
            sleep(1)
            sp.write("#0 P1400S200\r".encode())  # moves shoulder to dock
            sleep(1)
            sp.write("#1 P2220S200\r".encode())  # moves elbow to dock
            sleep(1)
            sp.write("#2 P1900S200\r".encode())  # moves wrist to dock
            sleep(1)
            sp.write("#0 P1300S200\r".encode())  # moves shoulder to dock
            sleep(1)
            sp.write("#2 P1900S200\r".encode())  # moves wrist to dock
            sleep(1)
            sp.write("#0 P1225S200\r".encode())  # moves shoulder to dock

        elif input(num) == 1111:
            print("Right arm docking")
            sp.write("#9 P1000S200\r".encode())  # opens right hand to dock
            # sleep(1)
            sp.write("#10 P1600S200\r".encode())  # moves right wrist to dock
            # sleep(1)
            sp.write("#7 P1300S200\r".encode())  # moves right elbow to dock
            sleep(1)
            sp.write("#6 P1300S200\r".encode())  # moves right shoulder to dock
            sleep(1)
            sp.write("#7 P650S200\r".encode())  # moves right elbow to dock
            sleep(2)
            sp.write("#8 P1600S200\r".encode())  # moves right wrist to dock
            sleep(1)
            sp.write("#6 P1300S200\r".encode())  # moves right shoulder to dock
            sleep(1)
            sp.write("#8 P1400S200\r".encode())  # moves right wrist to dock
            sleep(1)
            sp.write("#6 P1540S200\r".encode())  # moves right shoulder to dock
            sleep(1)
            sp.write("#8 P1100S200\r".encode())  # moves right wrist to dock

        elif input(num) ==2222:
            print("Left arm undocking")
            sp.write("#4 P1000S200\r".encode())  # opens hand to undock
            # sleep(1)
            sp.write("#3 P1600S200\r".encode())  # moves wrist to undock
            # sleep(1)
            sp.write("#0 P1400S200\r".encode())  # moves shoulder to undock
            sleep(1)
            sp.write("#1 P1800S200\r".encode())  # moves elbow to undock
            sleep(1)
            sp.write("#2 P1500S200\r".encode())  # moves wrist to undock
            sleep(.5)
            print("Right arm undocking")
            sp.write("#9 P1000S200\r".encode())  # opens right hand to undock
            # sleep(1)
            sp.write("#10 P1600S200\r".encode())  # moves right wrist to undock
            # sleep(1)
            sp.write("#6 P1400S200\r".encode())  # moves right shoulder to undock
            sleep(1)
            sp.write("#7 P1800S200\r".encode())  # moves right elbow to undock
            sleep(1)
            sp.write("#8 P1500S200\r".encode())  # moves right wrist to undock
            sleep(.5)

        elif input(num) == 3333:
            print("Right arm undocking")
            sp.write("#9 P1000S200\r".encode())  # opens hand to undock
            # sleep(1)
            sp.write("#10 P1600S200\r".encode())  # moves wrist to undock
            # sleep(1)
            sp.write("#6 P1400S200\r".encode())  # moves shoulder to undock
            sleep(1)
            sp.write("#7 P1800S200\r".encode())  # moves elbow to undock
            sleep(1)
            sp.write("#8 P1500S200\r".encode())  # moves wrist to undock
            sleep(.5)
        elif input(num) == 7777:
            print("Removing power from left arm")
            sp.write("#0 P0\r".encode())   # removes power from servo
            sp.write("#1 P0\r".encode())   # removes power from servo
            sp.write("#2 P0\r".encode())   # removes power from servo
            sp.write("#3 P0\r".encode())   # removes power from servo
            sp.write("#4 P0\r".encode())   # removes power from servo

        elif input(num) == 8888:
            print("Removing power from right arm")
            sp.write("#6 P0\r".encode())   # removes power from servo
            sp.write("#7 P0\r".encode())   # removes power from servo
            sp.write("#8 P0\r".encode())   # removes power from servo
            sp.write("#9 P0\r".encode())   # removes power from servo
            sp.write("#10 P0\r".encode())   # removes power from servo

        elif input(num) == 9999:
            print("Removing power from both arms")
            sp.write("#0 P0\r".encode())   # removes power from servo
            sp.write("#1 P0\r".encode())   # removes power from servo
            sp.write("#2 P0\r".encode())   # removes power from servo
            sp.write("#3 P0\r".encode())   # removes power from servo
            sp.write("#4 P0\r".encode())   # removes power from servo
            sp.write("#6 P0\r".encode())   # removes power from servo
            sp.write("#7 P0\r".encode())   # removes power from servo
            sp.write("#8 P0\r".encode())   # removes power from servo
            sp.write("#9 P0\r".encode())   # removes power from servo
            sp.write("#10 P0\r".encode())   # removes power from servo

        else:
            break